#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           skladnik
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        An implementation of the Japanese warehouse keeper game Sokoban
Group:          Games/Strategy
License:        GPLv2+ GFDL BSD
Url:            https://apps.kde.org/skladnik/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6XmlGui)

BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KDEGames6)
BuildRequires:  povray


%description
Skladnik is an implementation of the Japanese warehouse keeper
game “sokoban”.

The idea is that you are a warehouse keeper trying to push
crates to their proper locations in a warehouse. The problem
is that you cannot pull the crates or step over them. If you
are not careful, some of the crates can get stuck in wrong
places and/or block your way.

%prep
%autosetup -p1

%build
%cmake_kf6 -DKDE_INSTALL_BINDIR=%{_gamesbindir} \
           -DKDE_INSTALL_DATADIR=%{_gamesdatadir}
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-html --with-man --all-name

%files -f %{name}.lang
%doc AUTHORS README
%license LICENSES/*
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_kf6_applicationsdir}/org.kde.skladnik.desktop
%{_kf6_metainfodir}/org.kde.skladnik.metainfo.xml
%{_kf6_iconsdir}/hicolor/*/apps/skladnik.png
%{_kf6_mandir}/man6/%{name}.6.*


%changelog
* Thu Apr 17 2025 daviddavid <daviddavid> 25.04.0-1.mga10
+ Revision: 2176132
- New version 25.04.0

* Sat Mar 29 2025 daviddavid <daviddavid> 25.03.90-1.mga10
+ Revision: 2170916
- New version 25.03.90

* Thu Mar 13 2025 daviddavid <daviddavid> 24.12.3-1.mga10
+ Revision: 2163625
- New version 24.12.3

* Tue Feb 11 2025 daviddavid <daviddavid> 24.12.2-1.mga10
+ Revision: 2147291
- New version 24.12.2

* Thu Jan 09 2025 daviddavid <daviddavid> 24.12.1-1.mga10
+ Revision: 2136688
- New version 24.12.1

* Thu Dec 12 2024 daviddavid <daviddavid> 24.12.0-1.mga10
+ Revision: 2123933
- New version 24.12.0

* Sun Nov 17 2024 daviddavid <daviddavid> 24.11.80-1.mga10
+ Revision: 2116485
- New version 24.11.80

* Mon Nov 11 2024 daviddavid <daviddavid> 24.08.3-1.mga10
+ Revision: 2114180
- New version 24.08.3

* Sun Oct 13 2024 daviddavid <daviddavid> 24.08.2-1.mga10
+ Revision: 2105679
- New version 24.08.2

* Mon Sep 16 2024 daviddavid <daviddavid> 24.08.1-1.mga10
+ Revision: 2097544
- New version 24.08.1

* Thu Aug 22 2024 daviddavid <daviddavid> 24.08.0-1.mga10
+ Revision: 2087736
- New version 24.08.0

* Sat Aug 10 2024 daviddavid <daviddavid> 24.07.90-1.mga10
+ Revision: 2085232
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 24.05.1-1.mga10
+ Revision: 2073352
- New version 24.05.1

* Sun Jun 09 2024 daviddavid <daviddavid> 24.05.0-1.mga10
+ Revision: 2071504
- New version 24.05.0 (says hello skladnik to the kde-apps stack)

* Tue Mar 05 2024 daviddavid <daviddavid> 0.5.2-1.mga10
+ Revision: 2047575
- initial package skladnik

